org.apache.ignite.internal.pagemem.wal.record

## Class RollbackRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.RollbackRecord

    public class RollbackRecord
    extends WALRecord

Rollback record. Used to close gap in partition update sequence on tx rollback.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordPurpose, WALRecord.RecordType`

### Field Summary

Fields
`protected int` `grpId` Cache ID.
`protected int` `partId` Partition ID.
`protected long` `range` Rollback range.
`protected long` `start` Rollback start.

### Constructor Summary

Constructors
Constructor and Description
`RollbackRecord(int grpId, int partId, long start, long range)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `groupId()`
`long` `overlap(long from, long to)` Returns a number of overlapping update counters.
`int` `partitionId()`
`long` `range()`
`long` `start()`
`String` `toString()`
`WALRecord.RecordType` `type()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, size, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### grpId

    @GridToStringInclude
    protected int grpId

Cache ID.

#### partId

    @GridToStringInclude
    protected int partId

Partition ID.

#### start

    @GridToStringInclude
    protected long start

Rollback start.

#### range

    @GridToStringInclude
    protected long range

Rollback range.

### Constructor Detail

#### RollbackRecord

    public RollbackRecord(int grpId,
                          int partId,
                          long start,
                          long range)

Parameters:
  `grpId` - Group id.
  `partId` - Partition id.
  `start` - Start.
  `range` - Range.

### Method Detail

#### groupId

    public int groupId()

Returns:
  Cache ID.

#### partitionId

    public int partitionId()

Returns:
  Partition ID.

#### start

    public long start()

Returns:
  Rollback start.

#### range

    public long range()

Returns:
  Rollback range.

#### overlap

    public long overlap(long from,
                        long to)

Returns a number of overlapping update counters.

Parameters:
  `from` - From counter (not inclusive).
  `to` - To counter (inclusive).

#### type

    public WALRecord.RecordType type()

Specified by:
  `type` in class `WALRecord`
Returns:
  Entry type.

#### toString

    public String toString()

Overrides:
  `toString` in class `WALRecord`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021